Bug 172264 - [maintainer-update] chinese/bug5 1.13
[maintainer-update] chinese/bug5 1.13
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: Bryan Drewery
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-02 07:50 UTC by buganini
Modified: 2012-10-08 17:20 UTC (History)
0 users

See Also:


Attachments
file.diff (1.18 KB, patch)
2012-10-02 07:50 UTC, buganini
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description buganini 2012-10-02 07:50:03 UTC
Update chinese/bug5 to 1.13

Changelog:
	chase codec rename in bsdconv
	add -8 for UTF-8 <-> UTF-8 conversion profile

Fix: Patch attached with submission follows:
Comment 1 buganini 2012-10-02 08:05:17 UTC
Buildlog:
https://redports.org/buildarchive/20121002041120-38209/
Comment 2 Bryan Drewery freebsd_committer 2012-10-04 15:11:43 UTC
Responsible Changed
From-To: freebsd-ports-bugs->bdrewery

I'll take it.
Comment 3 Bryan Drewery freebsd_committer 2012-10-08 17:17:27 UTC
State Changed
From-To: open->closed

Committed, with minor changes. Thanks!
Comment 4 dfilter freebsd_committer 2012-10-08 17:17:49 UTC
Author: bdrewery
Date: Mon Oct  8 16:17:25 2012
New Revision: 305544
URL: http://svn.freebsd.org/changeset/ports/305544

Log:
  - Update to 1.13 [1]
  - Remove ABI version from LIB_DEPENDS [1]
  - Switch to USE_GITHUB for fetching
  
  Changelog:
    chase codec rename in bsdconv
    add -8 for UTF-8 <-> UTF-8 conversion profile
  
  PR:		ports/172264 [1]
  Submitted by:	Kuan-Chung Chiu <buganini@gmail.com> (maintainer) [1]

Modified:
  head/chinese/bug5/Makefile
  head/chinese/bug5/distinfo

Modified: head/chinese/bug5/Makefile
==============================================================================
--- head/chinese/bug5/Makefile	Mon Oct  8 16:17:22 2012	(r305543)
+++ head/chinese/bug5/Makefile	Mon Oct  8 16:17:25 2012	(r305544)
@@ -1,26 +1,21 @@
-# New ports collection makefile for:    bug5
-# Date created:                         25 April 2011
-# Whom:					buganini@gmail.com
-#
+# Created by: buganini@gmail.com
 # $FreeBSD$
-#
 
 PORTNAME=	bug5
-PORTVERSION=	1.10
+PORTVERSION=	1.13
 CATEGORIES=	chinese converters
-MASTER_SITES=	https://github.com/buganini/${PORTNAME}/tarball/${PORTVERSION}/
-DISTNAME=	buganini-${PORTNAME}-${PORTVERSION}-0-g${GITVERSION}
+DISTNAME=	buganini-${PORTNAME}-${PORTVERSION}-0-g${GH_COMMIT}
 
 MAINTAINER=	buganini@gmail.com
 COMMENT=	A Big5/GBK <-> UTF-8 translating layer in terminal
 
 LICENSE=	BSD
 
-LIB_DEPENDS=	bsdconv.7:${PORTSDIR}/converters/bsdconv
+LIB_DEPENDS=	bsdconv:${PORTSDIR}/converters/bsdconv
 
-GITVERSION=	600e6be
-FETCH_ARGS=	-pRr
-WRKSRC=		${WRKDIR}/buganini-${PORTNAME}-${GITVERSION}
+USE_GITHUB=	yes
+GH_ACCOUNT=	buganini
+GH_COMMIT=	06df288
 
 MAKE_ARGS=	PREFIX=${PREFIX}
 

Modified: head/chinese/bug5/distinfo
==============================================================================
--- head/chinese/bug5/distinfo	Mon Oct  8 16:17:22 2012	(r305543)
+++ head/chinese/bug5/distinfo	Mon Oct  8 16:17:25 2012	(r305544)
@@ -1,2 +1,2 @@
-SHA256 (buganini-bug5-1.10-0-g600e6be.tar.gz) = b88e76e7a206836d7ab6c7313fb46fbf1f7c99f159fed2c5519ed6ec52e7c04a
-SIZE (buganini-bug5-1.10-0-g600e6be.tar.gz) = 4630
+SHA256 (buganini-bug5-1.13-0-g06df288.tar.gz) = 2bcc74b8cb67948ddd0294fe2804832e98858f2b51b115f069c93e8ff3cea5ca
+SIZE (buganini-bug5-1.13-0-g06df288.tar.gz) = 4785
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"